"use strict";
const vue = require("vue");
const ButtonSize = ["small", "large", ""];
const ButtonType = ["primary", "success", "warning", "error", "info", ""];
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "button",
  props: {
    size: { default: "" },
    type: { default: "" }
  },
  setup(__props) {
    const props = __props;
    const className = vue.computed(() => {
      const className2 = ["r-button"];
      if (ButtonSize.includes(props.size))
        className2.push(`r-button--${props.size}`);
      if (ButtonType.includes(props.type))
        className2.push(`r-button--${props.type}`);
      return className2;
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("button", {
        class: vue.normalizeClass(vue.unref(className))
      }, [
        vue.renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});
module.exports = _sfc_main;
